Tvheadend - Bug #5043

Services cannot be mapped for channels that do not broadcast regularly
2018-03-27 14:23 - hattori hanzo

Status: New Start date: 2018-08-01
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Service Mapping Estimated time: 0.00 hour
Target version:

Found in version: 4.3-1206~g5de70b42e Affected Versions:

Description

I'm currently on 4.3-1206~g5de70b42e, but | think this bug exists way longer (see https://tvheadend.org/boards/5/topics/26818).

For Sky Germany, certain sports channels only broadcast when there is an event (Bundesliga on the weekend, Champions League
during the week).

So Tvheadend detects the services correctly, but they are hidden when "Hide" is set to "Parent disabled".

Only that the parent (in this case the mux) is not disabled and is working fine (the 24/7 sports channels are on the same mux).

The only difference between Sky Sport 1 and 2 and Sky Sport 3 till 11 are in the details:
The 24/7 channels have PID information in there, the irregularly broadcasting channels have no PID information.
So when trying to map the services to channels, they directly jump to ignored in the service mapper.

This works in 4.2.5

Subtasks:
Bug # 5168: Found channels under Astra 19.2E: TVH stable-4.2 around 1500, TVH unstable:... Rejected

History

#1 - 2018-03-27 15:42 - Jaroslav Kysela

--trace service-mapper : https://tvheadend.org/projects/tvheadend/wiki/Traces

#2 - 2018-03-30 23:12 - hattori hanzo

2018-03-30 23:09:54.629 [ TRACE]:service-mapper: check service DVB-S Network/11875.5H/Sky Sport 11 HD
(6c5457f93566d8fcceb8e12¢c10976038)
2018-03-30 23:09:54.630 [ TRACE]:service-mapper: not mapped

That is all.
The Details look like this:

Index PID Type Language Details
0x0068/ 104 PMT

After filtering and reordering (without PCR and PMT)
Index PID Type Language Details

None

#3 - 2018-03-31 10:09 - Jaroslav Kysela

/* Disabled */
if (!s->s_is_enabled(s, 0)) continue;
tvhtrace (LS_SERVICE_MAPPER, " enabled");

/* Get service info */

pthread_mutex_lock (&s—->s_stream_mutex) ;

e = service_is_encrypted(s);

tr = service_is_tv(s) || service_is_radio(s);
pthread_mutex_unlock (&s—>s_stream_mutex) ;

/* Skip non-TV / Radio */
if (!'tr) continue;

tvhtrace (LS_SERVICE_MAPPER, " radio or tv");

/* Skip encrypted */
if (!conf->encrypted && e) continue;

2020-10-27 1/3



https://tvheadend.org/boards/5/topics/26818
https://tvheadend.org/projects/tvheadend/wiki/Traces

/*
* Check the service is enabled
7
static int
mpegts_service_is_enabled(service_t *t, int flags)
{
mpegts_service_t *s = (mpegts_service_t*)t;
mpegts_mux_t *mm = s->s_dvb_mux;
if (!s->s_verified) return O;
return mm->mm_1is_enabled (mm) ? s->s_enabled : 0;

}

Ok, it never worked (even without the new verified flag where the elementary streams (A/V streams) are checked). We probably need to add 'map
services without elementary streams'. But which tags to create in this case? We don't know anything about this service.

#4 - 2018-03-31 10:46 - saen acro

Jaroslav Kysela wrote:
(-]
[--]
Ok, it never worked (even without the new verified flag where the elementary streams (A/V streams) are checked). We probably need to add

'map services without elementary streams'. But which tags to create in this case? We don't know anything about this service.
#5 - 2018-05-28 19:41 - M. H.

Hello,

I'm having the same problems with latest 4.3. The channels of Sky Bundesliga HD 3-10 are not found while scanning and are only visible when | set
the "Hide"-mode under "Configuration" => "DVB Inputs" => "Services" do none. So | can map them but when | map them (after enabling) and Sky is
broadcasting a football match | can't watch. Kodi shows me that there's no free adapter available (although EPG is shown) and only one stream is
running. I've tested this issue with 2x DVBSky S952v3 DVB-S cards (both are installed) and with one Digibit R1 Sat-IP, because | thought first that the
DVBSKky cards caused this issue.

But not only Sky Bundesliga, also Sky Sports HD 3-10 and Eurosport360 HD are having the same problem.

Interesting is, that under TVH 4.2.x the channels are found without any problems. So no need of changing the above mentioned Hide-Settings under
"Services"/"DVB Inputs" to none. The default settings "Hide" => "parent disabled" is enough for finding all these channels.

So how can | / we solve this issue?
Thanks in advance

#6 - 2019-09-03 18:16 - Bernhard Berger
This very annoying bug is still there in 4.3-1804~gebb096804
It is impossible to map the Sky and Eurosport Option Channels. When | click "map" they just get ignored..

Is there any workaround? If not the only solution would be to go back from TVH to DVBViewer@Windows after 3 days of finally getting away from
windows...

#7 - 2019-09-03 23:49 - Mark Clarkstone
Bernhard Berger wrote:
This very annoying bug is still there in 4.3-1804~gebb096804
It is impossible to map the Sky and Eurosport Option Channels. When | click "map" they just get ignored..
Is there any workaround? If not the only solution would be to go back from TVH to DVBViewer@Windows after 3 days of finally getting away

from windows...

Manually create the channels and link the services

#8 - 2019-09-03 23:51 - Bernhard Berger

Thank you very much for proposing the workaround - | will try that.

That being said: it in my opinion still is a bug.
Not sure why the status in the ticket is at 100%..
